package ru.yandex.webmaster3.storage.util.clickhouse2.condition;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.google.common.collect.Sets;

import java.util.Set;

/**
 * Лучше использовать {@link IntCondition}
 *
 * @author avhaliullin
 */
@Deprecated
public class IntEqualCondition extends AbstractCondition<Integer> {

    private static final Set<Operator> SUPPORTED_OPERATORS = Sets.newHashSet(Operator.EQUAL);

    @JsonCreator
    public IntEqualCondition(String field, int value) {
        super(ConditionType.INT_EQUAL, Integer.class, field, Operator.EQUAL, value);
    }

    @Override
    protected Set<Operator> getSupportedOperators() {
        return SUPPORTED_OPERATORS;
    }
}
